Subject: bug#5345: Password asked when visiting a file in a lightweight checkout

From: Michael Albinus <[email-masked]>
Date: Sun, 10 Jan 2010 07:51:44 +0100

Dan Nicolaescu <[email-masked]> writes:

> Can handling as a remote file name be disabled?
> The code path in question makes sense when the file is local, if the
> file is remote, then just running the corresponding bzr command won't
> make a difference.

Adding "/:" at the top of the file name is one way. Another (maybe more
common) is let-binding `file-name-handler-alist' to nil.

OTOH, it might be that vc-bzr is handling a remote file. Directory names
found in (remote) control files must be regarded remote as well. If they
are just being used as arguments of processes, there is no problem. But
if they are used in (for example) `file-exists-p', the file name must be
extended by the remote component.

Best regards, Michael.